NotificationType (gCube Social Networking Library 1.0.2-SNAPSHOT API)
Date: 2013-04-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.portal.databook.shared
Enum NotificationType

    java.lang.Object
      java.lang.Enum<NotificationType>
          org.gcube.portal.databook.shared.NotificationType

All Implemented Interfaces:
  Serializable, Comparable<NotificationType>

    public enum NotificationType

extends Enum<NotificationType>

Version:
  1.0 January 2012
Author:
  Massimiliano Assante ISTI-CNR

Enum Constant Summary
`COMMENT` use to notify a user that commented on a feed (Not his) that someone commented too
`DOCUMENT_WORKFLOW_EDIT` use to notify a document workflow owner that someone has edited a document involved in a worflow he created
`DOCUMENT_WORKFLOW_FIRST_STEP_REQUEST_INVOLVMENT` use to notify a document workflow user that he was involved into a new Document Workflow and he is requested to do a task
`DOCUMENT_WORKFLOW_FORWARD_STEP_COMPLETED_OWNER` use to notify a document workflow owner that someone forwarded and the workflow moved to another step a document worflow he created
`DOCUMENT_WORKFLOW_STEP_FORWARD_PEER` use to notify a document workflow peer (user that in the same step has your same role) that someone performed a forward action to another step in a document worflow he is involved into
`DOCUMENT_WORKFLOW_STEP_REQUEST_TASK` use to notify a document workflow user (user that in the same document workflow) that forwarded to a step where he is requested to do a task
`DOCUMENT_WORKFLOW_USER_FORWARD_TO_OWNER` use to notify a document workflow owner that a user performed a forward action to another step a document worflow he created
`DOCUMENT_WORKFLOW_VIEW` use to notify a document workflow owner that someone has viewed a document involved in a worflow he created
`GENERIC` generic notification
`JOB_COMPLETED_NOK` use to notify a user he got a job completed not ok
`JOB_COMPLETED_OK` use to notify a user he got a job completed ok
`LIKE` use to notify a user he got one of his feed liked
`MESSAGE` use to notify a user he got a message
`OWN_COMMENT` use to notify a user he got one of his feed commented
`REQUEST_CONNECTION` use to notify a user he got a connections request
`WP_FOLDER_ADDEDUSER` use to notify a user that a new user was added in on of his workspace shared folder
`WP_FOLDER_REMOVEDUSER` use to notify a user that an existing user was removed from one of his workspace shared folder
`WP_FOLDER_RENAMED` use to notify a user he got a workspace folder renamed
`WP_FOLDER_SHARE` use to notify a user he got a workspace folder shared
`WP_ITEM_DELETE` use to notify a user he got a workspace item deleted from one of his workspace shared folder
`WP_ITEM_NEW` use to notify a user he got a workspace item new in some of his workspace shared folder
`WP_ITEM_RENAMED` use to notify a user he got a workspace item renamed from one of his workspace shared folder
`WP_ITEM_UPDATED` use to notify a user he got a workspace item updated from one of his workspace shared folder

Method Summary
`static NotificationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NotificationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WP_FOLDER_SHARE

    public static final NotificationType WP_FOLDER_SHARE

  use to notify a user he got a workspace folder shared

### WP_FOLDER_ADDEDUSER

    public static final NotificationType WP_FOLDER_ADDEDUSER

  use to notify a user that a new user was added in on of his workspace shared folder

### WP_FOLDER_REMOVEDUSER

    public static final NotificationType WP_FOLDER_REMOVEDUSER

  use to notify a user that an existing user was removed from one of his workspace shared folder

### WP_FOLDER_RENAMED

    public static final NotificationType WP_FOLDER_RENAMED

  use to notify a user he got a workspace folder renamed

### WP_ITEM_DELETE

    public static final NotificationType WP_ITEM_DELETE

  use to notify a user he got a workspace item deleted from one of his workspace shared folder

### WP_ITEM_UPDATED

    public static final NotificationType WP_ITEM_UPDATED

  use to notify a user he got a workspace item updated from one of his workspace shared folder

### WP_ITEM_RENAMED

    public static final NotificationType WP_ITEM_RENAMED

  use to notify a user he got a workspace item renamed from one of his workspace shared folder

### WP_ITEM_NEW

    public static final NotificationType WP_ITEM_NEW

  use to notify a user he got a workspace item new in some of his workspace shared folder

### OWN_COMMENT

    public static final NotificationType OWN_COMMENT

  use to notify a user he got one of his feed commented

### COMMENT

    public static final NotificationType COMMENT

  use to notify a user that commented on a feed (Not his) that someone commented too

### LIKE

    public static final NotificationType LIKE

  use to notify a user he got one of his feed liked

### MESSAGE

    public static final NotificationType MESSAGE

  use to notify a user he got a message

### REQUEST_CONNECTION

    public static final NotificationType REQUEST_CONNECTION

  use to notify a user he got a connections request

### JOB_COMPLETED_OK

    public static final NotificationType JOB_COMPLETED_OK

  use to notify a user he got a job completed ok

### JOB_COMPLETED_NOK

    public static final NotificationType JOB_COMPLETED_NOK

  use to notify a user he got a job completed not ok

### DOCUMENT_WORKFLOW_EDIT

    public static final NotificationType DOCUMENT_WORKFLOW_EDIT

  use to notify a document workflow owner that someone has edited a document involved in a worflow he created

### DOCUMENT_WORKFLOW_VIEW

    public static final NotificationType DOCUMENT_WORKFLOW_VIEW

  use to notify a document workflow owner that someone has viewed a document involved in a worflow he created

### DOCUMENT_WORKFLOW_STEP_REQUEST_TASK

    public static final NotificationType DOCUMENT_WORKFLOW_STEP_REQUEST_TASK

  use to notify a document workflow user (user that in the same document workflow) that forwarded to a step where he is requested to do a task

### DOCUMENT_WORKFLOW_FIRST_STEP_REQUEST_INVOLVMENT

    public static final NotificationType DOCUMENT_WORKFLOW_FIRST_STEP_REQUEST_INVOLVMENT

  use to notify a document workflow user that he was involved into a new Document Workflow and he is requested to do a task

### DOCUMENT_WORKFLOW_USER_FORWARD_TO_OWNER

    public static final NotificationType DOCUMENT_WORKFLOW_USER_FORWARD_TO_OWNER

  use to notify a document workflow owner that a user performed a forward action to another step a document worflow he created

### DOCUMENT_WORKFLOW_FORWARD_STEP_COMPLETED_OWNER

    public static final NotificationType DOCUMENT_WORKFLOW_FORWARD_STEP_COMPLETED_OWNER

  use to notify a document workflow owner that someone forwarded and the workflow moved to another step a document worflow he created

### DOCUMENT_WORKFLOW_STEP_FORWARD_PEER

    public static final NotificationType DOCUMENT_WORKFLOW_STEP_FORWARD_PEER

  use to notify a document workflow peer (user that in the same step has your same role) that someone performed a forward action to another step in a document worflow he is involved into

### GENERIC

    public static final NotificationType GENERIC

  generic notification

Method Detail

### values

    public static NotificationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NotificationType c : NotificationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NotificationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.